<ion-header>
  <ion-toolbar>
    <ion-title>{{medication?.name}}</ion-title>
    <ion-buttons slot="end">
      <ion-back-button (click)="goBack()"></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ng-container *ngIf="!edit">
  <ion-content>

    <ion-card style="background-color:#e9e9e9;height: 97%">
      <div style="margin: 1%">
        <ion-card-header>
          <ion-card-title style=" font-weight: bold;">Datos de la medicación</ion-card-title>
        </ion-card-header>

        <ion-card-content>
          <br>
          <ion-label style=" font-weight: bold;">Nombre</ion-label>
          <br>
          <ion-label>{{medication?.name}}</ion-label>
          <br><br>
          <ion-label style=" font-weight: bold;">Dosis</ion-label>
          <br>
          <ion-label>{{medication?.dosis}}</ion-label>
          <br><br>
          <ion-label style=" font-weight: bold;">Medida</ion-label>
          <br>
          <ion-label>{{medication?.medida}}</ion-label>
          <br><br>
          <ion-label style=" font-weight: bold;">Horas entre tomas</ion-label>
          <br>
          <ion-label>{{medication?.tiempo_tomas}}</ion-label>
          <br><br>
          <ion-label style=" font-weight: bold;">Duracion del tratamiento</ion-label>
          <br>
          <ion-label>{{medication?.duracion_tratamiento}}</ion-label>
          <br><br>
          <ion-label style=" font-weight: bold;">Comentario</ion-label>
          <br>
          <ion-text>{{medication?.comentario}}</ion-text>
          <br><br>
        </ion-card-content>
      </div>
    </ion-card>
  </ion-content>
  <ion-footer style="text-align: center">
    <ion-toolbar>
      <ion-button style="width: 80%" (click)="editar()">Editar
      </ion-button>
      <ion-button style="width: 80%" (click)="getProspecto()">Mostrar prospecto
      </ion-button>
      <ion-button style="width: 80%" color="danger" (click)="borrar()">Borrar
      </ion-button>
    </ion-toolbar>
  </ion-footer>
</ng-container>

<ng-container *ngIf="edit">
  <ion-content>
    <div style="width: 90%;margin-left: 5%;margin-right: 5%;margin-top: 15%">
      <form [formGroup]="medicationForm">
        <ion-item>
          <ion-label position="floating" color="primary">Dosis (Cantidad)</ion-label>
          <ion-input type="number" formControlName="dosis" class="form-controll" required></ion-input>
        </ion-item>
        <ion-item style="margin-top: 10%">
          <ion-label position="floating" color="primary">Medida</ion-label>
          <ion-select formControlName="medida" class="form-controll" required>
            <ion-select-option value="ampolla">Ampolla(s)</ion-select-option>
            <ion-select-option value="aplicacion">Aplicación(es)</ion-select-option>
            <ion-select-option value="capsula">Cápsula(s)</ion-select-option>
            <ion-select-option value="gota">Gota(s)</ion-select-option>
            <ion-select-option value="gramo">Gramo(s)</ion-select-option>
            <ion-select-option value="inhalacion">Inhalación(es)</ion-select-option>
            <ion-select-option value="inyeccion">Inyección(es)</ion-select-option>
            <ion-select-option value="mililitro">Mililitro(s)</ion-select-option>
            <ion-select-option value="miligramo">Miligramo(s)</ion-select-option>
            <ion-select-option value="pastilla">Pastilla(s)</ion-select-option>
            <ion-select-option value="pieza">Pieza(s)</ion-select-option>
            <ion-select-option value="supusitorio">supusitorio(s)</ion-select-option>
            <ion-select-option value="unidad">Unidad(es)</ion-select-option>
          </ion-select>
        </ion-item>
        <ion-item style="margin-top: 10%">
          <ion-label position="floating" color="primary">Tiempo entre tomas (horas)</ion-label>
          <ion-input type="number" formControlName="tiempo_tomas" class="form-controll" required></ion-input>
        </ion-item>
        <ion-item style="margin-top: 10%">
          <ion-label position="floating" color="primary">Duracion del tratamiento (dias)</ion-label>
          <ion-input type="number" formControlName="duracion_tratamiento" class="form-controll" required></ion-input>
        </ion-item>
        <ion-item style="margin-top: 10%">
          <ion-label position="floating" color="primary">Comentario</ion-label>
          <ion-textarea rows="6" formControlName="comentario" class="form-controll" required></ion-textarea>
        </ion-item>

        <div style="margin-left: 20%;margin-top: 5%">
          <ion-button style="width: 35%" (click)="updateMedicacion()" [disabled]="!medicationForm.valid">
            Editar
          </ion-button>
          <ion-button style="width: 35%" (click)="goBack()">
            Cancelar
          </ion-button>
        </div>
      </form>
    </div>
  </ion-content>
</ng-container>